import { ecs } from "../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";
import { Checkpoint } from "../checkpoint/Checkpoint";
import { AccountInitComp, AccountInitSystem } from "./bll/AccountInit";
import { AccountModelComp } from "./model/AccountModelComp";
import { AccountModelSettingComp } from "./model/AccountModelSettingComp";

/**
 * 账号模块
 * 玩家信息设置
 */
@ecs.register('Account')
export class Account extends ecs.Entity {
    AccountModel!: AccountModelComp;
    AccountModelSetting!: AccountModelSettingComp;

    checkpoint: Checkpoint = null!;

    protected init() {
        this.addComponents<ecs.Comp>(AccountModelComp,AccountModelSettingComp)
    }

}

export class EcsAccountSystem extends ecs.System {
    constructor() {
        super();
        this.add(new AccountInitSystem());
    }
}